%readjed4sg3m.m   5/7/2011
% read Jeddah SBE SeaGauge #1162 upload data from May 2010 recovery 
% 4th deployment
% input *.tid raw upload file
% output jday pressure temperature to jeg4sg3m300s.mat
%
% Seagauge time is time at beginning of period
% So central time =time+2.5 min

clear;clf
mooring='Jeddah Aramco Terminal';depth=8;%m
instdepth=3;%m
latitude=21+25.875/60;longitude=39+9.234/60;
SN='SG1162';

% first remove / and : from the *.tid file with Perl fixseagauge.plx
	perl fixseagauge.plx C:\WHOI\redsea\data\pressure\may10\uploads\sg1162_Jed_may10.tid
    
    load fixed.dat; z=fixed; clear fixed
    jdaysg=julian([z(:,4) z(:,2) z(:,3) z(:,5) z(:,6) z(:,7)]);
    prestotalpsi=z(:,8);temp=z(:,9); % pressure total in psi, temperature C
    prestotaldb=prestotalpsi*.6894757;% pressure total in db

% Check SBE 1162 instrument clock at recovery and fix here

% Check Temperature calib

% Remove data before and after the deployment
    st=julian([2009 10 11 9 40 00]); % Jeddah deploy OCT 2009
    et=julian([2010  5 15 7 40 00]); % Jeddah recover May 2010 
    n=find(jdaysg<st | jdaysg>et);jdaysg(n)=[];
    prestotalpsi(n)=[];temp(n)=[];prestotaldb(n)=[];
    pres=prestotaldb;
    
%   center the data at the middle of the 5 min time for pressure, % ref Seagauge manual page 31
    jday=jdaysg+2.5/(24*60); % 5 minute data
    
% get barometric pressure, first get file metall.mat
    %load C:\WHOI\redsea\data\met\metall
    %n=find(jdm<jdaysg(1) | jdm>jdaysg(length(jdaysg))+.001);jdm(n)=[];bpm(n)=[];
    %ssp=prestotaldb-bpm/100; % removes atmospheric pressure in db 
    %jdaytc=jday; % for temperature and salinity, a spot measurement

% Plot pressure
    [ax,h1,h2]=plotyy(jday,pres,jday,temp);
    h=title('Jeddah Bottom Pressure');set(h,'fontsize',12)
    set(ax(1),'ylim',[11.6 12.4],'ytick',[11.6 11.8 12.0 12.2 12.4],'xtickl',[]);
    set(get(ax(1),'Ylabel'),'String','Pressure db');
    set(ax(2),'Ycolor','r','fontsize',14,'xtickl',[]);set(h2,'color','r');
    set(ax(2),'ylim',[25 32],'ytick',[25 27 29 31 ],'xtickl',[]);

    set(get(ax(2),'Ylabel'),'String','Temperature C');
    grid;gregaxd(jday,30);figure(gcf);
    %wysiwyg
    jdaysg4=jday;tempsg4=temp;pres4=pres;
    
    save jed4sg3m300s mooring jdaysg4 pres4 tempsg4  ...
		 depth instdepth latitude longitude SN 
    print -djpeg jed4sg3m300sec
