%readthu4sg3m.m   5/7/2011
% read Thuwal SBE SeaGauge #1163 upload data from May 2010 recovery 
% 4th deployment
% input *.tid raw upload file
% output jday pressure temperature to thu4sg3m300s.mat
%
% Seagauge time is time at beginning of period
% So central time =time+2.5 min

clear;clf
mooring='Thuwal Navy Pier';depth=8;%m
instdepth=3;%m
latitude=22+(20+(51.9/60))/60;longitude=39+(5+(20.2/60))/60;
SN='SG1163';

% first remove / and : from the *.tid file with Perl fixseagauge.plx
	perl fixseagauge.plx C:\WHOI\redsea\data\pressure\may10\uploads\sg1163_Thu_may10.tid
    
    load fixed.dat; z=fixed; clear fixed
    jdaysg=julian([z(:,4) z(:,2) z(:,3) z(:,5) z(:,6) z(:,7)]);
    prestotalpsi=z(:,8);temp=z(:,9); % pressure total in psi, temperature C
    prestotaldb=prestotalpsi*.6894757;% pressure total in db

% Check SBE 1163 instrument clock at recovery and fix here

% Check Temperature calib

% Remove data before and after the deployment
    st=julian([2009 10 12 7 00 00]); % Thuwal deploy oct 2009
    et=julian([2010  5 12 11 20 00]); % Thuwal recover may 2010 
    n=find(jdaysg<st | jdaysg>et);jdaysg(n)=[];
    prestotalpsi(n)=[];temp(n)=[];prestotaldb(n)=[];
    pres=prestotaldb;
    
%   center the data at the middle of the 5 min time for pressure, % ref Seagauge manual page 31
    jday=jdaysg+2.5/(24*60); % 5 minute data
    
% get barometric pressure, first get file metall.mat
    %load C:\WHOI\redsea\data\met\metall
    %n=find(jdm<jdaysg(1) | jdm>jdaysg(length(jdaysg))+.001);jdm(n)=[];bpm(n)=[];
    %ssp=prestotaldb-bpm/100; % removes atmospheric pressure in db 
    %jdaytc=jday; % for temperature and salinity, a spot measurement

% Plot pressure
    [ax,h1,h2]=plotyy(jday,pres,jday,temp);
    h=title('Thuwal Bottom Pressure');set(h,'fontsize',12)
    set(ax(1),'ylim',[11.9 12.9],'ytick',[12 12.2 12.4 12.6 12.8],'xtickl',[]);
    set(get(ax(1),'Ylabel'),'String','Pressure db');
    set(ax(2),'Ycolor','r','fontsize',14,'xtickl',[]);set(h2,'color','r');
    set(ax(2),'ylim',[24 32],'ytick',[25 27 29 31 ],'xtickl',[]);

    set(get(ax(2),'Ylabel'),'String','Temperature C');
    grid;gregaxd(jday,30);figure(gcf);
    %wysiwyg
    jdaysg4=jday;tempsg4=temp;pres4=pres;
    
    save thu4sg3m300s mooring jdaysg4 pres4 tempsg4  ...
		 depth instdepth latitude longitude SN 
    print -djpeg thu4sg3m300sec
